# Class CdsUploadSkyMatch

java.lang.Object
uk.ac.starlink.ttools.task.ConsumerTask
uk.ac.starlink.ttools.task.SingleMapperTask
uk.ac.starlink.ttools.task.CdsUploadSkyMatch

All Implemented Interfaces:
  `uk.ac.starlink.task.Task`

public class CdsUploadSkyMatch extends SingleMapperTask
Upload matcher that uses CDS's Xmatch service.

Since:
  14 May 2014
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`CdsUploadSkyMatch()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`TableProducer`
`createProducer(uk.ac.starlink.task.Environment env)`
Returns an object which can produce the effective output table which will be consumed by this task.
`uk.ac.starlink.task.Parameter<Integer>`
`getBlocksizeParameter()`
Returns the parameter for acquiring upload block size.
`uk.ac.starlink.task.Parameter<String>`
`getCdsSuffixParameter()`
Returns the parameter for acquiring the fixer suffix parameter.
`uk.ac.starlink.task.Parameter<String>`
`getCdsTableParameter()`
Returns the parameter for acquiring the name of the remote VizieR table.
`uk.ac.starlink.task.Parameter<String>`
`getDecParameter()`
Returns the parameter for acquiring the expression for Declination.
`uk.ac.starlink.task.Parameter<UserFindMode>`
`getFindParameter()`
Returns the parameter for acquiring the find mode.
`uk.ac.starlink.task.Parameter<JoinFixActionParameter.Fixer>`
`getFixColsParameter()`
Returns the parameter for acquiring the Fixer action.
`uk.ac.starlink.task.Parameter<Double>`
`getRadiusArcsecParameter()`
Returns the parameter for acquiring the search radius in arcseconds.
`uk.ac.starlink.task.Parameter<String>`
`getRaParameter()`
Returns the parameter for acquiring the expression for Right Ascension.
`uk.ac.starlink.task.Parameter<Boolean>`
`getUseMocParameter()`
Returns the parameter for acquiring the whether a MOC should be sought and used to pre-filter rows before upload.

### Methods inherited from class SingleMapperTask

`createInputProducer, getInputFilterParameter, getInputTableParameter`

### Methods inherited from class ConsumerTask

`createExecutable, createProducer, getIdentity, getOutputMode, getParameterList, getParameters, getPurpose`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CdsUploadSkyMatch

public CdsUploadSkyMatch()
Constructor.

## Method Details

### getRaParameter

public uk.ac.starlink.task.Parameter<String> getRaParameter()
Returns the parameter for acquiring the expression for Right Ascension.

Returns:
  RA parameter

### getDecParameter

public uk.ac.starlink.task.Parameter<String> getDecParameter()
Returns the parameter for acquiring the expression for Declination.

Returns:
  declination parameter

### getRadiusArcsecParameter

public uk.ac.starlink.task.Parameter<Double> getRadiusArcsecParameter()
Returns the parameter for acquiring the search radius in arcseconds.

Returns:
  radius parameter

### getCdsTableParameter

public uk.ac.starlink.task.Parameter<String> getCdsTableParameter()
Returns the parameter for acquiring the name of the remote VizieR table.

Returns:
  CDS table name parameter

### getUseMocParameter

public uk.ac.starlink.task.Parameter<Boolean> getUseMocParameter()
Returns the parameter for acquiring the whether a MOC should be sought and used to pre-filter rows before upload.

Returns:
  useMoc parameter

### getFindParameter

public uk.ac.starlink.task.Parameter<UserFindMode> getFindParameter()
Returns the parameter for acquiring the find mode.

Returns:
  find mode parameter

### getBlocksizeParameter

public uk.ac.starlink.task.Parameter<Integer> getBlocksizeParameter()
Returns the parameter for acquiring upload block size.

Returns:
  block size parameter

### getFixColsParameter

public uk.ac.starlink.task.Parameter<JoinFixActionParameter.Fixer> getFixColsParameter()
Returns the parameter for acquiring the Fixer action.

Returns:
  column fixer parameter

### getCdsSuffixParameter

public uk.ac.starlink.task.Parameter<String> getCdsSuffixParameter()
Returns the parameter for acquiring the fixer suffix parameter.

Returns:
  fixer suffix parameter

### createProducer

public TableProducer createProducer(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Description copied from class: `ConsumerTask`
Returns an object which can produce the effective output table which will be consumed by this task. The table produced by the resulting producer can be fed to the `ConsumerTask.getIdentity(StarTable)` method.

Specified by:
  `createProducer` in class `ConsumerTask`
Parameters:
  `env` - execution environment
Returns:
  table producer
Throws:
  `uk.ac.starlink.task.TaskException`